<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>task 30.50</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
    />
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>
    <style>
      .box {
        width: 370px;
        height: 330px;
        justify-content: center;
        padding: 25px 30px;
        border: 0.5px solid rgb(12, 120, 120);
      }
      .input-border {
        border: 2px solid rgb(52, 108, 161);
        height: 50px;
      }
      .btn-width {
        width: 100%;
        height: 50px;
      }
      .form-group {
        border-radius: 5px;
        margin-top: 10px;
        position: relative;
      }
      .form-group > label {
        position: absolute;
        top: -16px;
        left: 10px;
        background-color: white;
        color: rgb(52, 108, 161);
        padding: 0 5px;
      }
      .form-control:focus {
        outline: none;
        box-shadow: none;
        border-color: rgb(52, 108, 161);
      }
    </style>
  </head>
  <body>
    <div class="container box">
      <div class="row justify-content-center text-center">
        <h3><b>Forgot Your Password?</b></h3>
        <p>
          Enter your email address and we will send <br />
          you instruction to reset your password.
        </p>
      </div>
      <div class="row form-group">
        <label>Email address</label>
        <input type="text" class="form-control input-border" id="inp-email" />
      </div>

      <div class="row justify-content-center pt-2">
        <button class="btn btn-info btn-width" id="btn-continue">Continue</button>
      </div>
      <div class="row justify-content-center pt-4">
        <a href="#">Back to My App</a>
      </div>
    </div>
  </body>
  <script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
     $("#btn-continue").click(function () {
        var vEmaiObj = {
            email: ""
        }

        getEmailObj(vEmaiObj);
        if (validateEmailObj(vEmaiObj) === 1) {
            showEmailObj(vEmaiObj);
        }
     })
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function getEmailObj(paramObj) {
        paramObj.email = $("#inp-email").val().trim();
    }

    function validateEmailObj(paramObj){
        if(paramObj.email === ""){
            alert("Nhập email ...");
        }else if (paramObj.email.includes("@") === false) {
            alert("email phải có @");
        }else if (paramObj.email.startsWith("@") === true) {
            alert("email không đước bắt đầu bằng @");
        }else if (paramObj.email.endsWith("@") === true) {
            alert("email không được kết thúc bằng @");
        }else return 1;
    }

    function showEmailObj(paramObj) {
        console.log(paramObj);
    }
  </script>
</html>
